package com.hfkj.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class BsStoreExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Long offset;

    public BsStoreExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Long offset) {
        this.offset = offset;
    }

    public Long getOffset() {
        return offset;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIsNull() {
            addCriterion("company_id is null");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIsNotNull() {
            addCriterion("company_id is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyIdEqualTo(Long value) {
            addCriterion("company_id =", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotEqualTo(Long value) {
            addCriterion("company_id <>", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdGreaterThan(Long value) {
            addCriterion("company_id >", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdGreaterThanOrEqualTo(Long value) {
            addCriterion("company_id >=", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLessThan(Long value) {
            addCriterion("company_id <", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLessThanOrEqualTo(Long value) {
            addCriterion("company_id <=", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIn(List<Long> values) {
            addCriterion("company_id in", values, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotIn(List<Long> values) {
            addCriterion("company_id not in", values, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdBetween(Long value1, Long value2) {
            addCriterion("company_id between", value1, value2, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotBetween(Long value1, Long value2) {
            addCriterion("company_id not between", value1, value2, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIsNull() {
            addCriterion("company_name is null");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIsNotNull() {
            addCriterion("company_name is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyNameEqualTo(String value) {
            addCriterion("company_name =", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotEqualTo(String value) {
            addCriterion("company_name <>", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameGreaterThan(String value) {
            addCriterion("company_name >", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameGreaterThanOrEqualTo(String value) {
            addCriterion("company_name >=", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLessThan(String value) {
            addCriterion("company_name <", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLessThanOrEqualTo(String value) {
            addCriterion("company_name <=", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLike(String value) {
            addCriterion("company_name like", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotLike(String value) {
            addCriterion("company_name not like", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIn(List<String> values) {
            addCriterion("company_name in", values, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotIn(List<String> values) {
            addCriterion("company_name not in", values, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameBetween(String value1, String value2) {
            addCriterion("company_name between", value1, value2, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotBetween(String value1, String value2) {
            addCriterion("company_name not between", value1, value2, "companyName");
            return (Criteria) this;
        }

        public Criteria andAgentIdIsNull() {
            addCriterion("agent_id is null");
            return (Criteria) this;
        }

        public Criteria andAgentIdIsNotNull() {
            addCriterion("agent_id is not null");
            return (Criteria) this;
        }

        public Criteria andAgentIdEqualTo(Long value) {
            addCriterion("agent_id =", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdNotEqualTo(Long value) {
            addCriterion("agent_id <>", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdGreaterThan(Long value) {
            addCriterion("agent_id >", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdGreaterThanOrEqualTo(Long value) {
            addCriterion("agent_id >=", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdLessThan(Long value) {
            addCriterion("agent_id <", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdLessThanOrEqualTo(Long value) {
            addCriterion("agent_id <=", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdIn(List<Long> values) {
            addCriterion("agent_id in", values, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdNotIn(List<Long> values) {
            addCriterion("agent_id not in", values, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdBetween(Long value1, Long value2) {
            addCriterion("agent_id between", value1, value2, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdNotBetween(Long value1, Long value2) {
            addCriterion("agent_id not between", value1, value2, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentNameIsNull() {
            addCriterion("agent_name is null");
            return (Criteria) this;
        }

        public Criteria andAgentNameIsNotNull() {
            addCriterion("agent_name is not null");
            return (Criteria) this;
        }

        public Criteria andAgentNameEqualTo(String value) {
            addCriterion("agent_name =", value, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameNotEqualTo(String value) {
            addCriterion("agent_name <>", value, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameGreaterThan(String value) {
            addCriterion("agent_name >", value, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameGreaterThanOrEqualTo(String value) {
            addCriterion("agent_name >=", value, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameLessThan(String value) {
            addCriterion("agent_name <", value, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameLessThanOrEqualTo(String value) {
            addCriterion("agent_name <=", value, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameLike(String value) {
            addCriterion("agent_name like", value, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameNotLike(String value) {
            addCriterion("agent_name not like", value, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameIn(List<String> values) {
            addCriterion("agent_name in", values, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameNotIn(List<String> values) {
            addCriterion("agent_name not in", values, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameBetween(String value1, String value2) {
            addCriterion("agent_name between", value1, value2, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameNotBetween(String value1, String value2) {
            addCriterion("agent_name not between", value1, value2, "agentName");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdIsNull() {
            addCriterion("salesman_id is null");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdIsNotNull() {
            addCriterion("salesman_id is not null");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdEqualTo(Long value) {
            addCriterion("salesman_id =", value, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdNotEqualTo(Long value) {
            addCriterion("salesman_id <>", value, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdGreaterThan(Long value) {
            addCriterion("salesman_id >", value, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdGreaterThanOrEqualTo(Long value) {
            addCriterion("salesman_id >=", value, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdLessThan(Long value) {
            addCriterion("salesman_id <", value, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdLessThanOrEqualTo(Long value) {
            addCriterion("salesman_id <=", value, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdIn(List<Long> values) {
            addCriterion("salesman_id in", values, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdNotIn(List<Long> values) {
            addCriterion("salesman_id not in", values, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdBetween(Long value1, Long value2) {
            addCriterion("salesman_id between", value1, value2, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdNotBetween(Long value1, Long value2) {
            addCriterion("salesman_id not between", value1, value2, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameIsNull() {
            addCriterion("salesman_name is null");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameIsNotNull() {
            addCriterion("salesman_name is not null");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameEqualTo(String value) {
            addCriterion("salesman_name =", value, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameNotEqualTo(String value) {
            addCriterion("salesman_name <>", value, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameGreaterThan(String value) {
            addCriterion("salesman_name >", value, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameGreaterThanOrEqualTo(String value) {
            addCriterion("salesman_name >=", value, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameLessThan(String value) {
            addCriterion("salesman_name <", value, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameLessThanOrEqualTo(String value) {
            addCriterion("salesman_name <=", value, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameLike(String value) {
            addCriterion("salesman_name like", value, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameNotLike(String value) {
            addCriterion("salesman_name not like", value, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameIn(List<String> values) {
            addCriterion("salesman_name in", values, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameNotIn(List<String> values) {
            addCriterion("salesman_name not in", values, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameBetween(String value1, String value2) {
            addCriterion("salesman_name between", value1, value2, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameNotBetween(String value1, String value2) {
            addCriterion("salesman_name not between", value1, value2, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andMerIdIsNull() {
            addCriterion("mer_id is null");
            return (Criteria) this;
        }

        public Criteria andMerIdIsNotNull() {
            addCriterion("mer_id is not null");
            return (Criteria) this;
        }

        public Criteria andMerIdEqualTo(Long value) {
            addCriterion("mer_id =", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdNotEqualTo(Long value) {
            addCriterion("mer_id <>", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdGreaterThan(Long value) {
            addCriterion("mer_id >", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdGreaterThanOrEqualTo(Long value) {
            addCriterion("mer_id >=", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdLessThan(Long value) {
            addCriterion("mer_id <", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdLessThanOrEqualTo(Long value) {
            addCriterion("mer_id <=", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdIn(List<Long> values) {
            addCriterion("mer_id in", values, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdNotIn(List<Long> values) {
            addCriterion("mer_id not in", values, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdBetween(Long value1, Long value2) {
            addCriterion("mer_id between", value1, value2, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdNotBetween(Long value1, Long value2) {
            addCriterion("mer_id not between", value1, value2, "merId");
            return (Criteria) this;
        }

        public Criteria andMerNameIsNull() {
            addCriterion("mer_name is null");
            return (Criteria) this;
        }

        public Criteria andMerNameIsNotNull() {
            addCriterion("mer_name is not null");
            return (Criteria) this;
        }

        public Criteria andMerNameEqualTo(String value) {
            addCriterion("mer_name =", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameNotEqualTo(String value) {
            addCriterion("mer_name <>", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameGreaterThan(String value) {
            addCriterion("mer_name >", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameGreaterThanOrEqualTo(String value) {
            addCriterion("mer_name >=", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameLessThan(String value) {
            addCriterion("mer_name <", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameLessThanOrEqualTo(String value) {
            addCriterion("mer_name <=", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameLike(String value) {
            addCriterion("mer_name like", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameNotLike(String value) {
            addCriterion("mer_name not like", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameIn(List<String> values) {
            addCriterion("mer_name in", values, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameNotIn(List<String> values) {
            addCriterion("mer_name not in", values, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameBetween(String value1, String value2) {
            addCriterion("mer_name between", value1, value2, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameNotBetween(String value1, String value2) {
            addCriterion("mer_name not between", value1, value2, "merName");
            return (Criteria) this;
        }

        public Criteria andStoreNoIsNull() {
            addCriterion("store_no is null");
            return (Criteria) this;
        }

        public Criteria andStoreNoIsNotNull() {
            addCriterion("store_no is not null");
            return (Criteria) this;
        }

        public Criteria andStoreNoEqualTo(Long value) {
            addCriterion("store_no =", value, "storeNo");
            return (Criteria) this;
        }

        public Criteria andStoreNoNotEqualTo(Long value) {
            addCriterion("store_no <>", value, "storeNo");
            return (Criteria) this;
        }

        public Criteria andStoreNoGreaterThan(Long value) {
            addCriterion("store_no >", value, "storeNo");
            return (Criteria) this;
        }

        public Criteria andStoreNoGreaterThanOrEqualTo(Long value) {
            addCriterion("store_no >=", value, "storeNo");
            return (Criteria) this;
        }

        public Criteria andStoreNoLessThan(Long value) {
            addCriterion("store_no <", value, "storeNo");
            return (Criteria) this;
        }

        public Criteria andStoreNoLessThanOrEqualTo(Long value) {
            addCriterion("store_no <=", value, "storeNo");
            return (Criteria) this;
        }

        public Criteria andStoreNoIn(List<Long> values) {
            addCriterion("store_no in", values, "storeNo");
            return (Criteria) this;
        }

        public Criteria andStoreNoNotIn(List<Long> values) {
            addCriterion("store_no not in", values, "storeNo");
            return (Criteria) this;
        }

        public Criteria andStoreNoBetween(Long value1, Long value2) {
            addCriterion("store_no between", value1, value2, "storeNo");
            return (Criteria) this;
        }

        public Criteria andStoreNoNotBetween(Long value1, Long value2) {
            addCriterion("store_no not between", value1, value2, "storeNo");
            return (Criteria) this;
        }

        public Criteria andNameIsNull() {
            addCriterion("`name` is null");
            return (Criteria) this;
        }

        public Criteria andNameIsNotNull() {
            addCriterion("`name` is not null");
            return (Criteria) this;
        }

        public Criteria andNameEqualTo(String value) {
            addCriterion("`name` =", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotEqualTo(String value) {
            addCriterion("`name` <>", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThan(String value) {
            addCriterion("`name` >", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThanOrEqualTo(String value) {
            addCriterion("`name` >=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThan(String value) {
            addCriterion("`name` <", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThanOrEqualTo(String value) {
            addCriterion("`name` <=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLike(String value) {
            addCriterion("`name` like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotLike(String value) {
            addCriterion("`name` not like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameIn(List<String> values) {
            addCriterion("`name` in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotIn(List<String> values) {
            addCriterion("`name` not in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameBetween(String value1, String value2) {
            addCriterion("`name` between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotBetween(String value1, String value2) {
            addCriterion("`name` not between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andTelephoneIsNull() {
            addCriterion("telephone is null");
            return (Criteria) this;
        }

        public Criteria andTelephoneIsNotNull() {
            addCriterion("telephone is not null");
            return (Criteria) this;
        }

        public Criteria andTelephoneEqualTo(String value) {
            addCriterion("telephone =", value, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneNotEqualTo(String value) {
            addCriterion("telephone <>", value, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneGreaterThan(String value) {
            addCriterion("telephone >", value, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneGreaterThanOrEqualTo(String value) {
            addCriterion("telephone >=", value, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneLessThan(String value) {
            addCriterion("telephone <", value, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneLessThanOrEqualTo(String value) {
            addCriterion("telephone <=", value, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneLike(String value) {
            addCriterion("telephone like", value, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneNotLike(String value) {
            addCriterion("telephone not like", value, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneIn(List<String> values) {
            addCriterion("telephone in", values, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneNotIn(List<String> values) {
            addCriterion("telephone not in", values, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneBetween(String value1, String value2) {
            addCriterion("telephone between", value1, value2, "telephone");
            return (Criteria) this;
        }

        public Criteria andTelephoneNotBetween(String value1, String value2) {
            addCriterion("telephone not between", value1, value2, "telephone");
            return (Criteria) this;
        }

        public Criteria andDoorHeadImgIsNull() {
            addCriterion("door_head_img is null");
            return (Criteria) this;
        }

        public Criteria andDoorHeadImgIsNotNull() {
            addCriterion("door_head_img is not null");
            return (Criteria) this;
        }

        public Criteria andDoorHeadImgEqualTo(String value) {
            addCriterion("door_head_img =", value, "doorHeadImg");
            return (Criteria) this;
        }

        public Criteria andDoorHeadImgNotEqualTo(String value) {
            addCriterion("door_head_img <>", value, "doorHeadImg");
            return (Criteria) this;
        }

        public Criteria andDoorHeadImgGreaterThan(String value) {
            addCriterion("door_head_img >", value, "doorHeadImg");
            return (Criteria) this;
        }

        public Criteria andDoorHeadImgGreaterThanOrEqualTo(String value) {
            addCriterion("door_head_img >=", value, "doorHeadImg");
            return (Criteria) this;
        }

        public Criteria andDoorHeadImgLessThan(String value) {
            addCriterion("door_head_img <", value, "doorHeadImg");
            return (Criteria) this;
        }

        public Criteria andDoorHeadImgLessThanOrEqualTo(String value) {
            addCriterion("door_head_img <=", value, "doorHeadImg");
            return (Criteria) this;
        }

        public Criteria andDoorHeadImgLike(String value) {
            addCriterion("door_head_img like", value, "doorHeadImg");
            return (Criteria) this;
        }

        public Criteria andDoorHeadImgNotLike(String value) {
            addCriterion("door_head_img not like", value, "doorHeadImg");
            return (Criteria) this;
        }

        public Criteria andDoorHeadImgIn(List<String> values) {
            addCriterion("door_head_img in", values, "doorHeadImg");
            return (Criteria) this;
        }

        public Criteria andDoorHeadImgNotIn(List<String> values) {
            addCriterion("door_head_img not in", values, "doorHeadImg");
            return (Criteria) this;
        }

        public Criteria andDoorHeadImgBetween(String value1, String value2) {
            addCriterion("door_head_img between", value1, value2, "doorHeadImg");
            return (Criteria) this;
        }

        public Criteria andDoorHeadImgNotBetween(String value1, String value2) {
            addCriterion("door_head_img not between", value1, value2, "doorHeadImg");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleNameIsNull() {
            addCriterion("duty_people_name is null");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleNameIsNotNull() {
            addCriterion("duty_people_name is not null");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleNameEqualTo(String value) {
            addCriterion("duty_people_name =", value, "dutyPeopleName");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleNameNotEqualTo(String value) {
            addCriterion("duty_people_name <>", value, "dutyPeopleName");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleNameGreaterThan(String value) {
            addCriterion("duty_people_name >", value, "dutyPeopleName");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleNameGreaterThanOrEqualTo(String value) {
            addCriterion("duty_people_name >=", value, "dutyPeopleName");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleNameLessThan(String value) {
            addCriterion("duty_people_name <", value, "dutyPeopleName");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleNameLessThanOrEqualTo(String value) {
            addCriterion("duty_people_name <=", value, "dutyPeopleName");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleNameLike(String value) {
            addCriterion("duty_people_name like", value, "dutyPeopleName");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleNameNotLike(String value) {
            addCriterion("duty_people_name not like", value, "dutyPeopleName");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleNameIn(List<String> values) {
            addCriterion("duty_people_name in", values, "dutyPeopleName");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleNameNotIn(List<String> values) {
            addCriterion("duty_people_name not in", values, "dutyPeopleName");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleNameBetween(String value1, String value2) {
            addCriterion("duty_people_name between", value1, value2, "dutyPeopleName");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleNameNotBetween(String value1, String value2) {
            addCriterion("duty_people_name not between", value1, value2, "dutyPeopleName");
            return (Criteria) this;
        }

        public Criteria andDutyPeoplePhoneIsNull() {
            addCriterion("duty_people_phone is null");
            return (Criteria) this;
        }

        public Criteria andDutyPeoplePhoneIsNotNull() {
            addCriterion("duty_people_phone is not null");
            return (Criteria) this;
        }

        public Criteria andDutyPeoplePhoneEqualTo(String value) {
            addCriterion("duty_people_phone =", value, "dutyPeoplePhone");
            return (Criteria) this;
        }

        public Criteria andDutyPeoplePhoneNotEqualTo(String value) {
            addCriterion("duty_people_phone <>", value, "dutyPeoplePhone");
            return (Criteria) this;
        }

        public Criteria andDutyPeoplePhoneGreaterThan(String value) {
            addCriterion("duty_people_phone >", value, "dutyPeoplePhone");
            return (Criteria) this;
        }

        public Criteria andDutyPeoplePhoneGreaterThanOrEqualTo(String value) {
            addCriterion("duty_people_phone >=", value, "dutyPeoplePhone");
            return (Criteria) this;
        }

        public Criteria andDutyPeoplePhoneLessThan(String value) {
            addCriterion("duty_people_phone <", value, "dutyPeoplePhone");
            return (Criteria) this;
        }

        public Criteria andDutyPeoplePhoneLessThanOrEqualTo(String value) {
            addCriterion("duty_people_phone <=", value, "dutyPeoplePhone");
            return (Criteria) this;
        }

        public Criteria andDutyPeoplePhoneLike(String value) {
            addCriterion("duty_people_phone like", value, "dutyPeoplePhone");
            return (Criteria) this;
        }

        public Criteria andDutyPeoplePhoneNotLike(String value) {
            addCriterion("duty_people_phone not like", value, "dutyPeoplePhone");
            return (Criteria) this;
        }

        public Criteria andDutyPeoplePhoneIn(List<String> values) {
            addCriterion("duty_people_phone in", values, "dutyPeoplePhone");
            return (Criteria) this;
        }

        public Criteria andDutyPeoplePhoneNotIn(List<String> values) {
            addCriterion("duty_people_phone not in", values, "dutyPeoplePhone");
            return (Criteria) this;
        }

        public Criteria andDutyPeoplePhoneBetween(String value1, String value2) {
            addCriterion("duty_people_phone between", value1, value2, "dutyPeoplePhone");
            return (Criteria) this;
        }

        public Criteria andDutyPeoplePhoneNotBetween(String value1, String value2) {
            addCriterion("duty_people_phone not between", value1, value2, "dutyPeoplePhone");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleEmailIsNull() {
            addCriterion("duty_people_email is null");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleEmailIsNotNull() {
            addCriterion("duty_people_email is not null");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleEmailEqualTo(String value) {
            addCriterion("duty_people_email =", value, "dutyPeopleEmail");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleEmailNotEqualTo(String value) {
            addCriterion("duty_people_email <>", value, "dutyPeopleEmail");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleEmailGreaterThan(String value) {
            addCriterion("duty_people_email >", value, "dutyPeopleEmail");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleEmailGreaterThanOrEqualTo(String value) {
            addCriterion("duty_people_email >=", value, "dutyPeopleEmail");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleEmailLessThan(String value) {
            addCriterion("duty_people_email <", value, "dutyPeopleEmail");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleEmailLessThanOrEqualTo(String value) {
            addCriterion("duty_people_email <=", value, "dutyPeopleEmail");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleEmailLike(String value) {
            addCriterion("duty_people_email like", value, "dutyPeopleEmail");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleEmailNotLike(String value) {
            addCriterion("duty_people_email not like", value, "dutyPeopleEmail");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleEmailIn(List<String> values) {
            addCriterion("duty_people_email in", values, "dutyPeopleEmail");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleEmailNotIn(List<String> values) {
            addCriterion("duty_people_email not in", values, "dutyPeopleEmail");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleEmailBetween(String value1, String value2) {
            addCriterion("duty_people_email between", value1, value2, "dutyPeopleEmail");
            return (Criteria) this;
        }

        public Criteria andDutyPeopleEmailNotBetween(String value1, String value2) {
            addCriterion("duty_people_email not between", value1, value2, "dutyPeopleEmail");
            return (Criteria) this;
        }

        public Criteria andCashRegisterImgIsNull() {
            addCriterion("cash_register_img is null");
            return (Criteria) this;
        }

        public Criteria andCashRegisterImgIsNotNull() {
            addCriterion("cash_register_img is not null");
            return (Criteria) this;
        }

        public Criteria andCashRegisterImgEqualTo(String value) {
            addCriterion("cash_register_img =", value, "cashRegisterImg");
            return (Criteria) this;
        }

        public Criteria andCashRegisterImgNotEqualTo(String value) {
            addCriterion("cash_register_img <>", value, "cashRegisterImg");
            return (Criteria) this;
        }

        public Criteria andCashRegisterImgGreaterThan(String value) {
            addCriterion("cash_register_img >", value, "cashRegisterImg");
            return (Criteria) this;
        }

        public Criteria andCashRegisterImgGreaterThanOrEqualTo(String value) {
            addCriterion("cash_register_img >=", value, "cashRegisterImg");
            return (Criteria) this;
        }

        public Criteria andCashRegisterImgLessThan(String value) {
            addCriterion("cash_register_img <", value, "cashRegisterImg");
            return (Criteria) this;
        }

        public Criteria andCashRegisterImgLessThanOrEqualTo(String value) {
            addCriterion("cash_register_img <=", value, "cashRegisterImg");
            return (Criteria) this;
        }

        public Criteria andCashRegisterImgLike(String value) {
            addCriterion("cash_register_img like", value, "cashRegisterImg");
            return (Criteria) this;
        }

        public Criteria andCashRegisterImgNotLike(String value) {
            addCriterion("cash_register_img not like", value, "cashRegisterImg");
            return (Criteria) this;
        }

        public Criteria andCashRegisterImgIn(List<String> values) {
            addCriterion("cash_register_img in", values, "cashRegisterImg");
            return (Criteria) this;
        }

        public Criteria andCashRegisterImgNotIn(List<String> values) {
            addCriterion("cash_register_img not in", values, "cashRegisterImg");
            return (Criteria) this;
        }

        public Criteria andCashRegisterImgBetween(String value1, String value2) {
            addCriterion("cash_register_img between", value1, value2, "cashRegisterImg");
            return (Criteria) this;
        }

        public Criteria andCashRegisterImgNotBetween(String value1, String value2) {
            addCriterion("cash_register_img not between", value1, value2, "cashRegisterImg");
            return (Criteria) this;
        }

        public Criteria andInternalImgIsNull() {
            addCriterion("internal_img is null");
            return (Criteria) this;
        }

        public Criteria andInternalImgIsNotNull() {
            addCriterion("internal_img is not null");
            return (Criteria) this;
        }

        public Criteria andInternalImgEqualTo(String value) {
            addCriterion("internal_img =", value, "internalImg");
            return (Criteria) this;
        }

        public Criteria andInternalImgNotEqualTo(String value) {
            addCriterion("internal_img <>", value, "internalImg");
            return (Criteria) this;
        }

        public Criteria andInternalImgGreaterThan(String value) {
            addCriterion("internal_img >", value, "internalImg");
            return (Criteria) this;
        }

        public Criteria andInternalImgGreaterThanOrEqualTo(String value) {
            addCriterion("internal_img >=", value, "internalImg");
            return (Criteria) this;
        }

        public Criteria andInternalImgLessThan(String value) {
            addCriterion("internal_img <", value, "internalImg");
            return (Criteria) this;
        }

        public Criteria andInternalImgLessThanOrEqualTo(String value) {
            addCriterion("internal_img <=", value, "internalImg");
            return (Criteria) this;
        }

        public Criteria andInternalImgLike(String value) {
            addCriterion("internal_img like", value, "internalImg");
            return (Criteria) this;
        }

        public Criteria andInternalImgNotLike(String value) {
            addCriterion("internal_img not like", value, "internalImg");
            return (Criteria) this;
        }

        public Criteria andInternalImgIn(List<String> values) {
            addCriterion("internal_img in", values, "internalImg");
            return (Criteria) this;
        }

        public Criteria andInternalImgNotIn(List<String> values) {
            addCriterion("internal_img not in", values, "internalImg");
            return (Criteria) this;
        }

        public Criteria andInternalImgBetween(String value1, String value2) {
            addCriterion("internal_img between", value1, value2, "internalImg");
            return (Criteria) this;
        }

        public Criteria andInternalImgNotBetween(String value1, String value2) {
            addCriterion("internal_img not between", value1, value2, "internalImg");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenseImgIsNull() {
            addCriterion("business_license_img is null");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenseImgIsNotNull() {
            addCriterion("business_license_img is not null");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenseImgEqualTo(String value) {
            addCriterion("business_license_img =", value, "businessLicenseImg");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenseImgNotEqualTo(String value) {
            addCriterion("business_license_img <>", value, "businessLicenseImg");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenseImgGreaterThan(String value) {
            addCriterion("business_license_img >", value, "businessLicenseImg");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenseImgGreaterThanOrEqualTo(String value) {
            addCriterion("business_license_img >=", value, "businessLicenseImg");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenseImgLessThan(String value) {
            addCriterion("business_license_img <", value, "businessLicenseImg");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenseImgLessThanOrEqualTo(String value) {
            addCriterion("business_license_img <=", value, "businessLicenseImg");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenseImgLike(String value) {
            addCriterion("business_license_img like", value, "businessLicenseImg");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenseImgNotLike(String value) {
            addCriterion("business_license_img not like", value, "businessLicenseImg");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenseImgIn(List<String> values) {
            addCriterion("business_license_img in", values, "businessLicenseImg");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenseImgNotIn(List<String> values) {
            addCriterion("business_license_img not in", values, "businessLicenseImg");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenseImgBetween(String value1, String value2) {
            addCriterion("business_license_img between", value1, value2, "businessLicenseImg");
            return (Criteria) this;
        }

        public Criteria andBusinessLicenseImgNotBetween(String value1, String value2) {
            addCriterion("business_license_img not between", value1, value2, "businessLicenseImg");
            return (Criteria) this;
        }

        public Criteria andOtherImgIsNull() {
            addCriterion("other_img is null");
            return (Criteria) this;
        }

        public Criteria andOtherImgIsNotNull() {
            addCriterion("other_img is not null");
            return (Criteria) this;
        }

        public Criteria andOtherImgEqualTo(String value) {
            addCriterion("other_img =", value, "otherImg");
            return (Criteria) this;
        }

        public Criteria andOtherImgNotEqualTo(String value) {
            addCriterion("other_img <>", value, "otherImg");
            return (Criteria) this;
        }

        public Criteria andOtherImgGreaterThan(String value) {
            addCriterion("other_img >", value, "otherImg");
            return (Criteria) this;
        }

        public Criteria andOtherImgGreaterThanOrEqualTo(String value) {
            addCriterion("other_img >=", value, "otherImg");
            return (Criteria) this;
        }

        public Criteria andOtherImgLessThan(String value) {
            addCriterion("other_img <", value, "otherImg");
            return (Criteria) this;
        }

        public Criteria andOtherImgLessThanOrEqualTo(String value) {
            addCriterion("other_img <=", value, "otherImg");
            return (Criteria) this;
        }

        public Criteria andOtherImgLike(String value) {
            addCriterion("other_img like", value, "otherImg");
            return (Criteria) this;
        }

        public Criteria andOtherImgNotLike(String value) {
            addCriterion("other_img not like", value, "otherImg");
            return (Criteria) this;
        }

        public Criteria andOtherImgIn(List<String> values) {
            addCriterion("other_img in", values, "otherImg");
            return (Criteria) this;
        }

        public Criteria andOtherImgNotIn(List<String> values) {
            addCriterion("other_img not in", values, "otherImg");
            return (Criteria) this;
        }

        public Criteria andOtherImgBetween(String value1, String value2) {
            addCriterion("other_img between", value1, value2, "otherImg");
            return (Criteria) this;
        }

        public Criteria andOtherImgNotBetween(String value1, String value2) {
            addCriterion("other_img not between", value1, value2, "otherImg");
            return (Criteria) this;
        }

        public Criteria andAloneSettleIsNull() {
            addCriterion("alone_settle is null");
            return (Criteria) this;
        }

        public Criteria andAloneSettleIsNotNull() {
            addCriterion("alone_settle is not null");
            return (Criteria) this;
        }

        public Criteria andAloneSettleEqualTo(Boolean value) {
            addCriterion("alone_settle =", value, "aloneSettle");
            return (Criteria) this;
        }

        public Criteria andAloneSettleNotEqualTo(Boolean value) {
            addCriterion("alone_settle <>", value, "aloneSettle");
            return (Criteria) this;
        }

        public Criteria andAloneSettleGreaterThan(Boolean value) {
            addCriterion("alone_settle >", value, "aloneSettle");
            return (Criteria) this;
        }

        public Criteria andAloneSettleGreaterThanOrEqualTo(Boolean value) {
            addCriterion("alone_settle >=", value, "aloneSettle");
            return (Criteria) this;
        }

        public Criteria andAloneSettleLessThan(Boolean value) {
            addCriterion("alone_settle <", value, "aloneSettle");
            return (Criteria) this;
        }

        public Criteria andAloneSettleLessThanOrEqualTo(Boolean value) {
            addCriterion("alone_settle <=", value, "aloneSettle");
            return (Criteria) this;
        }

        public Criteria andAloneSettleIn(List<Boolean> values) {
            addCriterion("alone_settle in", values, "aloneSettle");
            return (Criteria) this;
        }

        public Criteria andAloneSettleNotIn(List<Boolean> values) {
            addCriterion("alone_settle not in", values, "aloneSettle");
            return (Criteria) this;
        }

        public Criteria andAloneSettleBetween(Boolean value1, Boolean value2) {
            addCriterion("alone_settle between", value1, value2, "aloneSettle");
            return (Criteria) this;
        }

        public Criteria andAloneSettleNotBetween(Boolean value1, Boolean value2) {
            addCriterion("alone_settle not between", value1, value2, "aloneSettle");
            return (Criteria) this;
        }

        public Criteria andStoreTypeIsNull() {
            addCriterion("store_type is null");
            return (Criteria) this;
        }

        public Criteria andStoreTypeIsNotNull() {
            addCriterion("store_type is not null");
            return (Criteria) this;
        }

        public Criteria andStoreTypeEqualTo(Integer value) {
            addCriterion("store_type =", value, "storeType");
            return (Criteria) this;
        }

        public Criteria andStoreTypeNotEqualTo(Integer value) {
            addCriterion("store_type <>", value, "storeType");
            return (Criteria) this;
        }

        public Criteria andStoreTypeGreaterThan(Integer value) {
            addCriterion("store_type >", value, "storeType");
            return (Criteria) this;
        }

        public Criteria andStoreTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("store_type >=", value, "storeType");
            return (Criteria) this;
        }

        public Criteria andStoreTypeLessThan(Integer value) {
            addCriterion("store_type <", value, "storeType");
            return (Criteria) this;
        }

        public Criteria andStoreTypeLessThanOrEqualTo(Integer value) {
            addCriterion("store_type <=", value, "storeType");
            return (Criteria) this;
        }

        public Criteria andStoreTypeIn(List<Integer> values) {
            addCriterion("store_type in", values, "storeType");
            return (Criteria) this;
        }

        public Criteria andStoreTypeNotIn(List<Integer> values) {
            addCriterion("store_type not in", values, "storeType");
            return (Criteria) this;
        }

        public Criteria andStoreTypeBetween(Integer value1, Integer value2) {
            addCriterion("store_type between", value1, value2, "storeType");
            return (Criteria) this;
        }

        public Criteria andStoreTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("store_type not between", value1, value2, "storeType");
            return (Criteria) this;
        }

        public Criteria andBlisUrlIsNull() {
            addCriterion("blis_url is null");
            return (Criteria) this;
        }

        public Criteria andBlisUrlIsNotNull() {
            addCriterion("blis_url is not null");
            return (Criteria) this;
        }

        public Criteria andBlisUrlEqualTo(String value) {
            addCriterion("blis_url =", value, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlNotEqualTo(String value) {
            addCriterion("blis_url <>", value, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlGreaterThan(String value) {
            addCriterion("blis_url >", value, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlGreaterThanOrEqualTo(String value) {
            addCriterion("blis_url >=", value, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlLessThan(String value) {
            addCriterion("blis_url <", value, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlLessThanOrEqualTo(String value) {
            addCriterion("blis_url <=", value, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlLike(String value) {
            addCriterion("blis_url like", value, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlNotLike(String value) {
            addCriterion("blis_url not like", value, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlIn(List<String> values) {
            addCriterion("blis_url in", values, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlNotIn(List<String> values) {
            addCriterion("blis_url not in", values, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlBetween(String value1, String value2) {
            addCriterion("blis_url between", value1, value2, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlNotBetween(String value1, String value2) {
            addCriterion("blis_url not between", value1, value2, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisNameIsNull() {
            addCriterion("blis_name is null");
            return (Criteria) this;
        }

        public Criteria andBlisNameIsNotNull() {
            addCriterion("blis_name is not null");
            return (Criteria) this;
        }

        public Criteria andBlisNameEqualTo(String value) {
            addCriterion("blis_name =", value, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameNotEqualTo(String value) {
            addCriterion("blis_name <>", value, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameGreaterThan(String value) {
            addCriterion("blis_name >", value, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameGreaterThanOrEqualTo(String value) {
            addCriterion("blis_name >=", value, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameLessThan(String value) {
            addCriterion("blis_name <", value, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameLessThanOrEqualTo(String value) {
            addCriterion("blis_name <=", value, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameLike(String value) {
            addCriterion("blis_name like", value, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameNotLike(String value) {
            addCriterion("blis_name not like", value, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameIn(List<String> values) {
            addCriterion("blis_name in", values, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameNotIn(List<String> values) {
            addCriterion("blis_name not in", values, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameBetween(String value1, String value2) {
            addCriterion("blis_name between", value1, value2, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameNotBetween(String value1, String value2) {
            addCriterion("blis_name not between", value1, value2, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNoIsNull() {
            addCriterion("blis_no is null");
            return (Criteria) this;
        }

        public Criteria andBlisNoIsNotNull() {
            addCriterion("blis_no is not null");
            return (Criteria) this;
        }

        public Criteria andBlisNoEqualTo(String value) {
            addCriterion("blis_no =", value, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoNotEqualTo(String value) {
            addCriterion("blis_no <>", value, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoGreaterThan(String value) {
            addCriterion("blis_no >", value, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoGreaterThanOrEqualTo(String value) {
            addCriterion("blis_no >=", value, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoLessThan(String value) {
            addCriterion("blis_no <", value, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoLessThanOrEqualTo(String value) {
            addCriterion("blis_no <=", value, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoLike(String value) {
            addCriterion("blis_no like", value, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoNotLike(String value) {
            addCriterion("blis_no not like", value, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoIn(List<String> values) {
            addCriterion("blis_no in", values, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoNotIn(List<String> values) {
            addCriterion("blis_no not in", values, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoBetween(String value1, String value2) {
            addCriterion("blis_no between", value1, value2, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoNotBetween(String value1, String value2) {
            addCriterion("blis_no not between", value1, value2, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressIsNull() {
            addCriterion("blis_reg_address is null");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressIsNotNull() {
            addCriterion("blis_reg_address is not null");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressEqualTo(String value) {
            addCriterion("blis_reg_address =", value, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressNotEqualTo(String value) {
            addCriterion("blis_reg_address <>", value, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressGreaterThan(String value) {
            addCriterion("blis_reg_address >", value, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressGreaterThanOrEqualTo(String value) {
            addCriterion("blis_reg_address >=", value, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressLessThan(String value) {
            addCriterion("blis_reg_address <", value, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressLessThanOrEqualTo(String value) {
            addCriterion("blis_reg_address <=", value, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressLike(String value) {
            addCriterion("blis_reg_address like", value, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressNotLike(String value) {
            addCriterion("blis_reg_address not like", value, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressIn(List<String> values) {
            addCriterion("blis_reg_address in", values, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressNotIn(List<String> values) {
            addCriterion("blis_reg_address not in", values, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressBetween(String value1, String value2) {
            addCriterion("blis_reg_address between", value1, value2, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressNotBetween(String value1, String value2) {
            addCriterion("blis_reg_address not between", value1, value2, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeIsNull() {
            addCriterion("blis_period_type is null");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeIsNotNull() {
            addCriterion("blis_period_type is not null");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeEqualTo(Integer value) {
            addCriterion("blis_period_type =", value, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeNotEqualTo(Integer value) {
            addCriterion("blis_period_type <>", value, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeGreaterThan(Integer value) {
            addCriterion("blis_period_type >", value, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("blis_period_type >=", value, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeLessThan(Integer value) {
            addCriterion("blis_period_type <", value, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeLessThanOrEqualTo(Integer value) {
            addCriterion("blis_period_type <=", value, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeIn(List<Integer> values) {
            addCriterion("blis_period_type in", values, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeNotIn(List<Integer> values) {
            addCriterion("blis_period_type not in", values, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeBetween(Integer value1, Integer value2) {
            addCriterion("blis_period_type between", value1, value2, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("blis_period_type not between", value1, value2, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartIsNull() {
            addCriterion("blis_period_start is null");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartIsNotNull() {
            addCriterion("blis_period_start is not null");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartEqualTo(String value) {
            addCriterion("blis_period_start =", value, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartNotEqualTo(String value) {
            addCriterion("blis_period_start <>", value, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartGreaterThan(String value) {
            addCriterion("blis_period_start >", value, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartGreaterThanOrEqualTo(String value) {
            addCriterion("blis_period_start >=", value, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartLessThan(String value) {
            addCriterion("blis_period_start <", value, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartLessThanOrEqualTo(String value) {
            addCriterion("blis_period_start <=", value, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartLike(String value) {
            addCriterion("blis_period_start like", value, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartNotLike(String value) {
            addCriterion("blis_period_start not like", value, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartIn(List<String> values) {
            addCriterion("blis_period_start in", values, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartNotIn(List<String> values) {
            addCriterion("blis_period_start not in", values, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartBetween(String value1, String value2) {
            addCriterion("blis_period_start between", value1, value2, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartNotBetween(String value1, String value2) {
            addCriterion("blis_period_start not between", value1, value2, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndIsNull() {
            addCriterion("blis_period_end is null");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndIsNotNull() {
            addCriterion("blis_period_end is not null");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndEqualTo(String value) {
            addCriterion("blis_period_end =", value, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndNotEqualTo(String value) {
            addCriterion("blis_period_end <>", value, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndGreaterThan(String value) {
            addCriterion("blis_period_end >", value, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndGreaterThanOrEqualTo(String value) {
            addCriterion("blis_period_end >=", value, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndLessThan(String value) {
            addCriterion("blis_period_end <", value, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndLessThanOrEqualTo(String value) {
            addCriterion("blis_period_end <=", value, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndLike(String value) {
            addCriterion("blis_period_end like", value, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndNotLike(String value) {
            addCriterion("blis_period_end not like", value, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndIn(List<String> values) {
            addCriterion("blis_period_end in", values, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndNotIn(List<String> values) {
            addCriterion("blis_period_end not in", values, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndBetween(String value1, String value2) {
            addCriterion("blis_period_end between", value1, value2, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndNotBetween(String value1, String value2) {
            addCriterion("blis_period_end not between", value1, value2, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardIsNull() {
            addCriterion("lar_id_card is null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardIsNotNull() {
            addCriterion("lar_id_card is not null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardEqualTo(String value) {
            addCriterion("lar_id_card =", value, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNotEqualTo(String value) {
            addCriterion("lar_id_card <>", value, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardGreaterThan(String value) {
            addCriterion("lar_id_card >", value, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardGreaterThanOrEqualTo(String value) {
            addCriterion("lar_id_card >=", value, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardLessThan(String value) {
            addCriterion("lar_id_card <", value, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardLessThanOrEqualTo(String value) {
            addCriterion("lar_id_card <=", value, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardLike(String value) {
            addCriterion("lar_id_card like", value, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNotLike(String value) {
            addCriterion("lar_id_card not like", value, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardIn(List<String> values) {
            addCriterion("lar_id_card in", values, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNotIn(List<String> values) {
            addCriterion("lar_id_card not in", values, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardBetween(String value1, String value2) {
            addCriterion("lar_id_card between", value1, value2, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNotBetween(String value1, String value2) {
            addCriterion("lar_id_card not between", value1, value2, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarNameIsNull() {
            addCriterion("lar_name is null");
            return (Criteria) this;
        }

        public Criteria andLarNameIsNotNull() {
            addCriterion("lar_name is not null");
            return (Criteria) this;
        }

        public Criteria andLarNameEqualTo(String value) {
            addCriterion("lar_name =", value, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameNotEqualTo(String value) {
            addCriterion("lar_name <>", value, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameGreaterThan(String value) {
            addCriterion("lar_name >", value, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameGreaterThanOrEqualTo(String value) {
            addCriterion("lar_name >=", value, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameLessThan(String value) {
            addCriterion("lar_name <", value, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameLessThanOrEqualTo(String value) {
            addCriterion("lar_name <=", value, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameLike(String value) {
            addCriterion("lar_name like", value, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameNotLike(String value) {
            addCriterion("lar_name not like", value, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameIn(List<String> values) {
            addCriterion("lar_name in", values, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameNotIn(List<String> values) {
            addCriterion("lar_name not in", values, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameBetween(String value1, String value2) {
            addCriterion("lar_name between", value1, value2, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameNotBetween(String value1, String value2) {
            addCriterion("lar_name not between", value1, value2, "larName");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgIsNull() {
            addCriterion("lar_id_card_portrait_img is null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgIsNotNull() {
            addCriterion("lar_id_card_portrait_img is not null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgEqualTo(String value) {
            addCriterion("lar_id_card_portrait_img =", value, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgNotEqualTo(String value) {
            addCriterion("lar_id_card_portrait_img <>", value, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgGreaterThan(String value) {
            addCriterion("lar_id_card_portrait_img >", value, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgGreaterThanOrEqualTo(String value) {
            addCriterion("lar_id_card_portrait_img >=", value, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgLessThan(String value) {
            addCriterion("lar_id_card_portrait_img <", value, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgLessThanOrEqualTo(String value) {
            addCriterion("lar_id_card_portrait_img <=", value, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgLike(String value) {
            addCriterion("lar_id_card_portrait_img like", value, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgNotLike(String value) {
            addCriterion("lar_id_card_portrait_img not like", value, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgIn(List<String> values) {
            addCriterion("lar_id_card_portrait_img in", values, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgNotIn(List<String> values) {
            addCriterion("lar_id_card_portrait_img not in", values, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgBetween(String value1, String value2) {
            addCriterion("lar_id_card_portrait_img between", value1, value2, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgNotBetween(String value1, String value2) {
            addCriterion("lar_id_card_portrait_img not between", value1, value2, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgIsNull() {
            addCriterion("lar_id_card_national_emblem_img is null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgIsNotNull() {
            addCriterion("lar_id_card_national_emblem_img is not null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgEqualTo(String value) {
            addCriterion("lar_id_card_national_emblem_img =", value, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgNotEqualTo(String value) {
            addCriterion("lar_id_card_national_emblem_img <>", value, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgGreaterThan(String value) {
            addCriterion("lar_id_card_national_emblem_img >", value, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgGreaterThanOrEqualTo(String value) {
            addCriterion("lar_id_card_national_emblem_img >=", value, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgLessThan(String value) {
            addCriterion("lar_id_card_national_emblem_img <", value, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgLessThanOrEqualTo(String value) {
            addCriterion("lar_id_card_national_emblem_img <=", value, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgLike(String value) {
            addCriterion("lar_id_card_national_emblem_img like", value, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgNotLike(String value) {
            addCriterion("lar_id_card_national_emblem_img not like", value, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgIn(List<String> values) {
            addCriterion("lar_id_card_national_emblem_img in", values, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgNotIn(List<String> values) {
            addCriterion("lar_id_card_national_emblem_img not in", values, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgBetween(String value1, String value2) {
            addCriterion("lar_id_card_national_emblem_img between", value1, value2, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgNotBetween(String value1, String value2) {
            addCriterion("lar_id_card_national_emblem_img not between", value1, value2, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressIsNull() {
            addCriterion("lar_id_card_address is null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressIsNotNull() {
            addCriterion("lar_id_card_address is not null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressEqualTo(String value) {
            addCriterion("lar_id_card_address =", value, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressNotEqualTo(String value) {
            addCriterion("lar_id_card_address <>", value, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressGreaterThan(String value) {
            addCriterion("lar_id_card_address >", value, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressGreaterThanOrEqualTo(String value) {
            addCriterion("lar_id_card_address >=", value, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressLessThan(String value) {
            addCriterion("lar_id_card_address <", value, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressLessThanOrEqualTo(String value) {
            addCriterion("lar_id_card_address <=", value, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressLike(String value) {
            addCriterion("lar_id_card_address like", value, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressNotLike(String value) {
            addCriterion("lar_id_card_address not like", value, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressIn(List<String> values) {
            addCriterion("lar_id_card_address in", values, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressNotIn(List<String> values) {
            addCriterion("lar_id_card_address not in", values, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressBetween(String value1, String value2) {
            addCriterion("lar_id_card_address between", value1, value2, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressNotBetween(String value1, String value2) {
            addCriterion("lar_id_card_address not between", value1, value2, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeIsNull() {
            addCriterion("lar_id_card_period_type is null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeIsNotNull() {
            addCriterion("lar_id_card_period_type is not null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeEqualTo(Integer value) {
            addCriterion("lar_id_card_period_type =", value, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeNotEqualTo(Integer value) {
            addCriterion("lar_id_card_period_type <>", value, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeGreaterThan(Integer value) {
            addCriterion("lar_id_card_period_type >", value, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("lar_id_card_period_type >=", value, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeLessThan(Integer value) {
            addCriterion("lar_id_card_period_type <", value, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeLessThanOrEqualTo(Integer value) {
            addCriterion("lar_id_card_period_type <=", value, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeIn(List<Integer> values) {
            addCriterion("lar_id_card_period_type in", values, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeNotIn(List<Integer> values) {
            addCriterion("lar_id_card_period_type not in", values, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeBetween(Integer value1, Integer value2) {
            addCriterion("lar_id_card_period_type between", value1, value2, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("lar_id_card_period_type not between", value1, value2, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartIsNull() {
            addCriterion("lar_id_card_period_start is null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartIsNotNull() {
            addCriterion("lar_id_card_period_start is not null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartEqualTo(String value) {
            addCriterion("lar_id_card_period_start =", value, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartNotEqualTo(String value) {
            addCriterion("lar_id_card_period_start <>", value, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartGreaterThan(String value) {
            addCriterion("lar_id_card_period_start >", value, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartGreaterThanOrEqualTo(String value) {
            addCriterion("lar_id_card_period_start >=", value, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartLessThan(String value) {
            addCriterion("lar_id_card_period_start <", value, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartLessThanOrEqualTo(String value) {
            addCriterion("lar_id_card_period_start <=", value, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartLike(String value) {
            addCriterion("lar_id_card_period_start like", value, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartNotLike(String value) {
            addCriterion("lar_id_card_period_start not like", value, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartIn(List<String> values) {
            addCriterion("lar_id_card_period_start in", values, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartNotIn(List<String> values) {
            addCriterion("lar_id_card_period_start not in", values, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartBetween(String value1, String value2) {
            addCriterion("lar_id_card_period_start between", value1, value2, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartNotBetween(String value1, String value2) {
            addCriterion("lar_id_card_period_start not between", value1, value2, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndIsNull() {
            addCriterion("lar_id_card_period_end is null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndIsNotNull() {
            addCriterion("lar_id_card_period_end is not null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndEqualTo(String value) {
            addCriterion("lar_id_card_period_end =", value, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndNotEqualTo(String value) {
            addCriterion("lar_id_card_period_end <>", value, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndGreaterThan(String value) {
            addCriterion("lar_id_card_period_end >", value, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndGreaterThanOrEqualTo(String value) {
            addCriterion("lar_id_card_period_end >=", value, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndLessThan(String value) {
            addCriterion("lar_id_card_period_end <", value, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndLessThanOrEqualTo(String value) {
            addCriterion("lar_id_card_period_end <=", value, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndLike(String value) {
            addCriterion("lar_id_card_period_end like", value, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndNotLike(String value) {
            addCriterion("lar_id_card_period_end not like", value, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndIn(List<String> values) {
            addCriterion("lar_id_card_period_end in", values, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndNotIn(List<String> values) {
            addCriterion("lar_id_card_period_end not in", values, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndBetween(String value1, String value2) {
            addCriterion("lar_id_card_period_end between", value1, value2, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndNotBetween(String value1, String value2) {
            addCriterion("lar_id_card_period_end not between", value1, value2, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreateTypeIsNull() {
            addCriterion("create_type is null");
            return (Criteria) this;
        }

        public Criteria andCreateTypeIsNotNull() {
            addCriterion("create_type is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTypeEqualTo(Integer value) {
            addCriterion("create_type =", value, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTypeNotEqualTo(Integer value) {
            addCriterion("create_type <>", value, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTypeGreaterThan(Integer value) {
            addCriterion("create_type >", value, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("create_type >=", value, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTypeLessThan(Integer value) {
            addCriterion("create_type <", value, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTypeLessThanOrEqualTo(Integer value) {
            addCriterion("create_type <=", value, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTypeIn(List<Integer> values) {
            addCriterion("create_type in", values, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTypeNotIn(List<Integer> values) {
            addCriterion("create_type not in", values, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTypeBetween(Integer value1, Integer value2) {
            addCriterion("create_type between", value1, value2, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("create_type not between", value1, value2, "createType");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andExt1IsNull() {
            addCriterion("ext_1 is null");
            return (Criteria) this;
        }

        public Criteria andExt1IsNotNull() {
            addCriterion("ext_1 is not null");
            return (Criteria) this;
        }

        public Criteria andExt1EqualTo(String value) {
            addCriterion("ext_1 =", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotEqualTo(String value) {
            addCriterion("ext_1 <>", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThan(String value) {
            addCriterion("ext_1 >", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThanOrEqualTo(String value) {
            addCriterion("ext_1 >=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThan(String value) {
            addCriterion("ext_1 <", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThanOrEqualTo(String value) {
            addCriterion("ext_1 <=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Like(String value) {
            addCriterion("ext_1 like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotLike(String value) {
            addCriterion("ext_1 not like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1In(List<String> values) {
            addCriterion("ext_1 in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotIn(List<String> values) {
            addCriterion("ext_1 not in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Between(String value1, String value2) {
            addCriterion("ext_1 between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotBetween(String value1, String value2) {
            addCriterion("ext_1 not between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt2IsNull() {
            addCriterion("ext_2 is null");
            return (Criteria) this;
        }

        public Criteria andExt2IsNotNull() {
            addCriterion("ext_2 is not null");
            return (Criteria) this;
        }

        public Criteria andExt2EqualTo(String value) {
            addCriterion("ext_2 =", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotEqualTo(String value) {
            addCriterion("ext_2 <>", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThan(String value) {
            addCriterion("ext_2 >", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThanOrEqualTo(String value) {
            addCriterion("ext_2 >=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThan(String value) {
            addCriterion("ext_2 <", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThanOrEqualTo(String value) {
            addCriterion("ext_2 <=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Like(String value) {
            addCriterion("ext_2 like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotLike(String value) {
            addCriterion("ext_2 not like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2In(List<String> values) {
            addCriterion("ext_2 in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotIn(List<String> values) {
            addCriterion("ext_2 not in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Between(String value1, String value2) {
            addCriterion("ext_2 between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotBetween(String value1, String value2) {
            addCriterion("ext_2 not between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt3IsNull() {
            addCriterion("ext_3 is null");
            return (Criteria) this;
        }

        public Criteria andExt3IsNotNull() {
            addCriterion("ext_3 is not null");
            return (Criteria) this;
        }

        public Criteria andExt3EqualTo(String value) {
            addCriterion("ext_3 =", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotEqualTo(String value) {
            addCriterion("ext_3 <>", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThan(String value) {
            addCriterion("ext_3 >", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThanOrEqualTo(String value) {
            addCriterion("ext_3 >=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThan(String value) {
            addCriterion("ext_3 <", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThanOrEqualTo(String value) {
            addCriterion("ext_3 <=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Like(String value) {
            addCriterion("ext_3 like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotLike(String value) {
            addCriterion("ext_3 not like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3In(List<String> values) {
            addCriterion("ext_3 in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotIn(List<String> values) {
            addCriterion("ext_3 not in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Between(String value1, String value2) {
            addCriterion("ext_3 between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotBetween(String value1, String value2) {
            addCriterion("ext_3 not between", value1, value2, "ext3");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}